// priority: 0
StartupEvents.registry('fluid', event => {
  // Basic "thick" (looks like lava) fluid with red tint
  event.create('molten_ember')
    .thickTexture(0xff5200)
    .bucketColor(0xff5200)
    .displayName('Molten Ember')

  event.create('prisma')
    .thinTexture(0xe7eaf7)
    .bucketColor(0xe7eaf7)
    .displayName('Prisma')

  //Growth medium step 1 for nutrient distillation
  event.create('mushroom')
    .thinTexture(0x766148)
    .bucketColor(0x766148)
    .displayName('Mycelial Culture')
	
  //Growth medium step 2 for nutrient distillation
  event.create('rotten')
    .thinTexture(0xa54c3b)
    .bucketColor(0xa54c3b)
    .displayName('Necrocelial Culture')
	
  //Cryogenic Floe step 1 for coolant
  event.create('normal_ice')
    .thinTexture(0xe1feff)
    .bucketColor(0xe1feff)
    .displayName('Cold Slush')
	
  //Cryogenic Floe step 2 for coolant
  event.create('packed_ice')
    .thinTexture(0x91fcff)
    .bucketColor(0x91fcff)
    .displayName('Frigid Slush')
	
  //Cryogenic Floe step 3 for coolant
  event.create('blue_ice')
   .thinTexture(0x2edeff)
   .bucketColor(0x2edeff)
   .displayName('Cryogenic Floe')
  
  //Membraneous Antimatter
  event.create('fluid_antimatter')
   .thickTexture(0xd479e5)
   .bucketColor(0xd479e5)
   .displayName('Membraneous Antimatter')

  //Coagulated Flux
  event.create('redstone_flux')
   .thinTexture(0xf40000)
   .bucketColor(0xf40000)
   .displayName('Coagulated Flux')

})